<?php
/**
* @version $Id: default.php 1465 2012-07-10 17:37:13Z beat $
* @package CBSubs (TM) Community Builder Plugin for Paid Subscriptions (TM)
* @subpackage Template for Paid Subscriptions
* @copyright (C) 2007-2016 and Trademark of Lightning MultiCom SA, Switzerland - www.joomlapolis.com - and its licensors, all rights reserved
* @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL version 2
*/
/** ensure this file is being included by a parent file */

use CBLib\Application\Application;

if ( ! ( defined( '_VALID_CB' ) || defined( '_JEXEC' ) || defined( '_VALID_MOS' ) ) ) { die( 'Direct Access to this location is not allowed.' ); }

$tmplVersion		=	1;	// This is the template version that needs to match
$iconClass			=	$this->_model->getParam( 'template_rounded_icon', '' );

if ( $iconClass ) {
	$iconClass		=	' cbregPlanIcon_' . $iconClass;
}

$cssLocation		=	( Application::Cms()->getClientId() ? 'cbreg_admin_' : 'cbreg_' );
$panelClass			=	'panel-default';

if ( strpos( $this->cssclass, $cssLocation . 'green' ) !== false ) {
	$panelClass		=	'panel-success';
} elseif ( strpos( $this->cssclass, $cssLocation . 'red' ) !== false ) {
	$panelClass		=	'panel-danger';
} elseif ( strpos( $this->cssclass, $cssLocation . 'blue' ) !== false ) {
	$panelClass		=	'panel-primary';
} elseif ( strpos( $this->cssclass, $cssLocation . 'cyan' ) !== false ) {
	$panelClass		=	'panel-info';
} elseif ( strpos( $this->cssclass, $cssLocation . 'yellow' ) !== false ) {
	$panelClass		=	'panel-warning';
}
?>
<div class="cbregPlan cbregPlan_rounded cbregPlanSelector cbregPlanSelector_rounded<?php echo $this->cssclass . $iconClass; ?>" id="<?php echo $this->cssid; ?>">
	<div class="cbRegNameDesc panel <?php echo $panelClass; ?>">
		<?php if ( $this->periodPrice == null ) { ?>
			<div class="panel-heading">
				<div class="<?php echo ( $this->exclusive ? 'radio-inline' : 'checkbox-inline' ); ?>">
					<div class="cbregTick">
						<?php echo $this->_tick; ?>
					</div>
					<div class="cbregName<?php echo $this->cssclass; ?> ">
						<?php echo $this->_labelledName; ?>
					</div>
				</div>
			</div>
		<?php } else { ?>
			<div class="cbregName<?php echo $this->cssclass; ?> panel-heading">
				<?php echo $this->_labelledName; ?>
			</div>
		<?php } ?>

		<div class="cbregParagraph<?php echo $this->cssclass; ?> panel-body">
			<?php if ( $this->description != null ) { ?>
				<div class="cbregDescription">
					<?php echo $this->description; ?>
				</div>
			<?php } ?>

			<?php if ( $this->_insertBeforePrice ) { ?>
				<div class="cbregAfterSubDescription">
					<?php echo $this->_insertBeforePrice; ?>
				</div>
			<?php } ?>

			<?php if ( $this->periodPrice != null ) { ?>
				<div class="<?php echo ( $this->exclusive ? 'radio-inline' : 'checkbox-inline' ); ?>">
					<div class="cbregTick">
						<?php echo $this->_tick; ?>
					</div>
					<div class="cbregFee">
						<?php echo $this->periodPrice; ?>
					</div>
				</div>
			<?php } ?>

			<?php if ( $this->_insertAfterDescription ) { ?>
				<div class="cbregSubPlanSelector">
					<?php echo $this->_insertAfterDescription; ?>
				</div>
			<?php } ?>
		</div>
	</div>
</div>
