<?php
/**
* @version $Id: default.php 1465 2012-07-10 17:37:13Z beat $
* @package CBSubs (TM) Community Builder Plugin for Paid Subscriptions (TM)
* @subpackage Template for Paid Subscriptions
* @copyright (C) 2007-2016 and Trademark of Lightning MultiCom SA, Switzerland - www.joomlapolis.com - and its licensors, all rights reserved
* @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL version 2
*/
/** ensure this file is being included by a parent file */

use CBLib\Application\Application;

if ( ! ( defined( '_VALID_CB' ) || defined( '_JEXEC' ) || defined( '_VALID_MOS' ) ) ) { die( 'Direct Access to this location is not allowed.' ); }

$tmplVersion		=	1;	// This is the template version that needs to match
$cssClass			=	trim( $this->_model->cssclass );
$iconClass			=	$this->_model->subscription->getPlan()->getParam( 'template_rounded_icon', '', 'params' );

if ( $cssClass ) {
	$cssClass		=	' ' . $cssClass;
}

if ( $iconClass ) {
	$cssClass		=	' cbregPlanIcon_' . $iconClass;
}

$cssLocation		=	( Application::Cms()->getClientId() ? 'cbreg_admin_' : 'cbreg_' );
$panelClass			=	'panel-default';

if ( strpos( $cssClass, $cssLocation . 'green' ) !== false ) {
	$panelClass		=	'panel-success';
} elseif ( strpos( $cssClass, $cssLocation . 'red' ) !== false ) {
	$panelClass		=	'panel-danger';
} elseif ( strpos( $cssClass, $cssLocation . 'blue' ) !== false ) {
	$panelClass		=	'panel-primary';
} elseif ( strpos( $cssClass, $cssLocation . 'cyan' ) !== false ) {
	$panelClass		=	'panel-info';
} elseif ( strpos( $cssClass, $cssLocation . 'yellow' ) !== false ) {
	$panelClass		=	'panel-warning';
}
?>
<div class="cbregPlan cbregPlan_rounded cbregPlanStatus cbregPlanStatus_rounded<?php echo $cssClass; ?>">
	<div class="cbRegNameDesc panel <?php echo $panelClass; ?>">
		<div class="cbregName panel-heading">
			<?php echo $this->_icon; ?>&nbsp;&nbsp;<span><?php echo $this->_model->get( 'name' ); ?></span>
		</div>
		<div class="cbregParagraph panel-body">
			<?php if ( $this->_model->get( 'description' ) != null ) { ?>
				<div class="cbregDescription">
					<?php echo $this->_model->get( 'description' ); ?>
				</div>
			<?php } ?>

			<?php if ( $this->_insertBeforeValidity ) { ?>
				<div class="cbregAfterSubDescription">
					<?php echo $this->_insertBeforeValidity; ?>
				</div>
			<?php } ?>

			<?php if ( $this->_model->get( 'validity' ) || $this->_model->get( 'stateText' ) ) { ?>
				<div class="cbregValExp">
					<?php if ( $this->_model->get( 'validity' ) ) { ?>
						<span class="cbregValidity">
							<?php echo $this->_model->get( 'validity' ); ?>
						</span>
					<?php } ?>

					<?php if ( $this->_model->get( 'stateText' ) ) { ?>
						<span class="cbregExpiring">
							<?php echo $this->_model->get( 'stateText' ); ?>
						</span>
					<?php } ?>
				</div>
			<?php } ?>

			<?php if ( $this->_insertAfterDescription ) { ?>
				<div class="cbregSubPlanSelector">
					<?php echo $this->_insertAfterDescription; ?>
				</div>
			<?php } ?>
		</div>
	</div>
</div>
